image: node:latest
stages:
  - deploy
deploy_npm:
  stage: deploy
  rules:
    - if: '$CI_COMMIT_TAG =~ /^v\d+\.\d+\.\d+/'
  before_script:
    - corepack enable
    - corepack prepare pnpm@latest-8 --activate
  script:
    - pnpm install
    - pnpm run build
    - echo "//registry.npmjs.org/:_authToken=${NPM_TOKEN}" >> dist/.npmrc
    - cd dist && npm publish --access public
